Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class ContainerObjectImpl

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject
            |
            +--oracle.jbo.server.NamedObjectImpl
                  |
                  +--oracle.jbo.server.ComponentObjectImpl
                        |
                        +--oracle.jbo.server.ContainerObjectImpl

Direct Known Subclasses:
  ApplicationModuleImpl

public abstract class ContainerObjectImpl
extends ComponentObjectImpl
implements ContainerObject

The implementation of the `ContainerObject` interface.

Since:
  JDevloper 3.0

Field Summary
`java.util.Vector` | `mComponentList` Vector to keep the Component Objects
`java.util.Hashtable` | `mComponents` HashTable to keep the name value pairs of Component Usages, names

Fields inherited from class oracle.jbo.server.NamedObjectImpl
`mFullName, mName, mParent, mProperties`

Fields inherited from class oracle.jbo.common.BaseObject
`TRACE_EVERY_ALLOC, TRACE_NONE, TRACE_OCCASIONAL, TRACE_UNINITIALIZED`

Constructor Summary
`ContainerObjectImpl()`

Method Summary
`void` | `addContainerListener(ContainerObjectListener listener)` Subscribes a listener for container object events.
`ComponentObject` | `createComponentObject(java.lang.String compName, java.lang.String compDefName)` Create a component Object from the container
`ComponentObject` | `findComponentObject(java.lang.String compName)` Find a component Object from the container
`void` | `removeContainerListener(ContainerObjectListener listener)` Unsubscribes a listener for container object events.

Methods inherited from class oracle.jbo.server.ComponentObjectImpl
`addListener, create, createRef, getApplicationModule, getCompListeners, getDefFullName, getDefName, getProxyClassName, getProxyClassName, getRootApplicationModule, isRegWithPiggyMan, remove, setProxyClassName`

Methods inherited from class oracle.jbo.server.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getProperty, refreshProperty, setFullName, setProperty`

Methods inherited from class oracle.jbo.common.BaseObject
`dumpState, setTraceLevel, setTraceWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mComponents

    public java.util.Hashtable mComponents

  HashTable to keep the name value pairs of Component Usages, names

### mComponentList

    public java.util.Vector mComponentList

  Vector to keep the Component Objects

Constructor Detail

### ContainerObjectImpl

    public ContainerObjectImpl()

Method Detail

### addContainerListener

    public void addContainerListener(ContainerObjectListener listener)

  Description copied from interface: ContainerObject
  Subscribes a listener for container object events.
  Specified by:
    addContainerListener in interface ContainerObject
  Tags copied from interface: ContainerObject
  Parameters:
    `listener` - an event handler for container events.
  See Also:
    `ContainerObjectEvent`

### removeContainerListener

    public void removeContainerListener(ContainerObjectListener listener)

  Description copied from interface: ContainerObject
  Unsubscribes a listener for container object events.
  Specified by:
    removeContainerListener in interface ContainerObject
  Tags copied from interface: ContainerObject
  Parameters:
    `listener` - an event handler for container events.
  See Also:
    `ContainerObjectEvent`

### findComponentObject

    public ComponentObject findComponentObject(java.lang.String compName)

  Description copied from interface: ContainerObject
  Find a component Object from the container
  Specified by:
    findComponentObject in interface ContainerObject
  Tags copied from interface: ContainerObject
  Parameters:
    `CompName` - name of the component
  Returns:
    Component Object

### createComponentObject

    public ComponentObject createComponentObject(java.lang.String compName,
                                                 java.lang.String compDefName)

  Description copied from interface: ContainerObject
  Create a component Object from the container
  Specified by:
    createComponentObject in interface ContainerObject
  Tags copied from interface: ContainerObject
  Parameters:
    `CompName` - name of the component
    `CompDefName` - name of the definition Object
  Returns:
    Component Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD